[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#631747: marked as done (bbtime: Please support building with ld --as-needed)



Your message dated Fri, 07 Jun 2019 21:18:26 +0000
with message-id <E1hZMFm-000EHA-1k@fasolo.debian.org>
and subject line Bug#631747: fixed in bbtime 0.1.5-14
has caused the Debian Bug report #631747,
regarding bbtime: Please support building with ld --as-needed
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
631747: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=631747
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: bbtime
Version: 0.1.5-12
Severity: minor
Tags: patch
User: debian-gcc@lists.debian.org
Usertags: ld-as-needed

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1



*** /tmp/tmp9yX78W
In Ubuntu, the attached patch was applied to achieve the following:

  * debian/patches/002-fix-as-needed.dpatch: (LP: #765966)
    Libraries should go into X_LIBS instead of LDFLAGS to fix
    building with ld --as-needed.

See http://lists.debian.org/debian-devel-announce/2011/02/msg00011.html
and http://wiki.debian.org/ToolChain/DSOLinking#Onlylinkwithneededlibraries

for more information.

Thanks for considering the patch.


- -- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric
  APT policy: (500, 'oneiric')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-999-generic (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJOB3sHAAoJEGHzRCZ03mYkJUoQAKSlIDLEY/bp54WQk10huipz
PKDFbf4aPGM2fzvj/q20RGwWVPUoZDGg00H9h0+KMF9WV/mIormG0PLIuDW9YvrR
b2T5PqwBX/W643xtI/Cg5y8oCf4PBO0sPQRSAeh5CRCkdXXAgzn8tnsXZMWjSfzK
kk9aG5cfFLcrgGfyOACsM5eJlG/7N5x1wHZBDyufQBUGH5ubmfZX6W5C4nPdea4j
3OFqZuaiEX3rwRrj4cAakdFSJtu8gysgD5Z+nJEq4rYaY9lW2kUvIhd0kD+Zb/6E
Y0EWIjTwRLcYbaPyeMjXy5Cq5/bmuiY3tM0onHZsl0g9nP+V8/sWW3MbXCPdF1a1
x5YLxBSL0oEinXS04mZ1by8eX/F04FC/1GTcI1+0t5n8YSRftsmE056uIq5gMtnG
rjomCQRaLi/a3UixNg2/SodCzSmvEdhHcSCqtJ8WEpDsHvaFmFiQihP/mvyqycmu
R87xXz+3YraDVEIwL3gQgIh0DTKJpM6wcng3Lf7IC4BJ++hVOsCbkCNJLak5lK54
4NIDgfj8sL43xWfN9DCLuknBOTEB5uDIRdaEivtnkodYdvmPGNGY3JL8GE2WIPyC
2swjYM4j1suIhjoDPlpCUsXkEI2Bcir7y8gN0QRTtUSMFp/RuFXOFqEPyi1mfI/I
1NqS9vleT58E94psqAe+
=R3kQ
-----END PGP SIGNATURE-----
=== added file 'debian/patches/002-fix-as-needed.dpatch'
--- debian/patches/002-fix-as-needed.dpatch	1970-01-01 00:00:00 +0000
+++ debian/patches/002-fix-as-needed.dpatch	2011-06-26 18:29:44 +0000
@@ -0,0 +1,32 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+Description: Fix FTBFS with ld --as-needed, libraries should go
+ into X_LIBS instead of LDFLAGS. For an explanation, see
+ http://lists.debian.org/debian-devel-announce/2011/02/msg00011.html
+Author: Andreas Moog
+Bug-Ubuntu: https://bugs.launchpad.net/bugs/765966
+
+@DPATCH@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' bbtime~/configure bbtime/configure
+--- bbtime~/configure	2011-06-26 18:25:58.000000000 +0000
++++ bbtime/configure	2011-06-26 18:26:46.763143964 +0000
+@@ -2290,7 +2290,7 @@
+ fi
+ if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+   echo "$ac_t""yes" 1>&6
+-  LDFLAGS="$LDFLAGS -lX11"
++  X_LIBS="$X_LIBS -lX11"
+ else
+   echo "$ac_t""no" 1>&6
+ { echo "configure: error: XOpenDisplay not found in -lX11" 1>&2; exit 1; }
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' bbtime~/configure.in bbtime/configure.in
+--- bbtime~/configure.in	2011-06-26 18:25:58.000000000 +0000
++++ bbtime/configure.in	2011-06-26 18:26:46.763143964 +0000
+@@ -51,7 +51,7 @@
+ CXXFLAGS="$CXXFLAGS $X_CFLAGS"
+ LDFLAGS="$LDFLAGS $X_LIBS $X_PRE_LIBS"
+ dnl Checks for X libraries.
+-AC_CHECK_LIB(X11, XOpenDisplay, LDFLAGS="$LDFLAGS -lX11",
++AC_CHECK_LIB(X11, XOpenDisplay, X_LIBS="$X_LIBS -lX11",
+              AC_MSG_ERROR(XOpenDisplay not found in -lX11))
+ 
+ LDFLAGS="$LDFLAGS $X_EXTRA_LIBS"

=== modified file 'debian/patches/00list'
--- debian/patches/00list	2007-08-14 14:32:07 +0000
+++ debian/patches/00list	2011-06-26 18:26:49 +0000
@@ -1 +1,2 @@
 001_Makefile_nostrip
+002-fix-as-needed.dpatch


--- End Message ---
--- Begin Message ---
Source: bbtime
Source-Version: 0.1.5-14

We believe that the bug you reported is fixed in the latest version of
bbtime, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 631747@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Reiner Herrmann <reiner@reiner-h.de> (supplier of updated bbtime package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 07 Jun 2019 16:10:51 +0200
Source: bbtime
Architecture: source
Version: 0.1.5-14
Distribution: experimental
Urgency: medium
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Reiner Herrmann <reiner@reiner-h.de>
Closes: 631747 925636
Changes:
 bbtime (0.1.5-14) experimental; urgency=medium
 .
   * QA upload.
   * Convert packaging to source format 3.0 (quilt).
   * Convert to dh-style build.
   * Depend on debhelper-compat 12.
     - drop dependency on autotools-dev.
   * Bump Standards-Version to 4.3.0.
   * Fix build with GCC9, by moving the linked X11 library
     to the correct place. (Closes: #925636)
     This also fixes building with --as-needed. (Closes: #631747)
   * Drop d/bbtime.files.
   * Enable all hardening options.
   * Convert d/copyright to copyright format 1.0.
   * Don't install README.bbtime to /etc.
Checksums-Sha1:
 7eebb7a68ec3c429f01246a5139101841b4da4fa 1745 bbtime_0.1.5-14.dsc
 826f51faa4be95a2ecd728689757a3de51fe82f7 6360 bbtime_0.1.5-14.debian.tar.xz
 d43d1bfbaa608d0c2e0e9ffd44f2a8a5141d699c 6148 bbtime_0.1.5-14_amd64.buildinfo
Checksums-Sha256:
 8f892c9dda86972def767ba6364717ad27d2298a7ecb59fd6295eae1f09ed908 1745 bbtime_0.1.5-14.dsc
 b030c46bd569bae75601a019036a4d3b1318e1bbc5f17d80449033343e76ba29 6360 bbtime_0.1.5-14.debian.tar.xz
 54c251a39018ddeb8478bad336e0b4aece302234aa47d1b1daf248767f48237f 6148 bbtime_0.1.5-14_amd64.buildinfo
Files:
 adc13d0b1432f565ca6d5ec9a15571d1 1745 x11 optional bbtime_0.1.5-14.dsc
 2d26f7cadcde41d06ce7f5200963f156 6360 x11 optional bbtime_0.1.5-14.debian.tar.xz
 e62d643462293577e562a203d0d8edfe 6148 x11 optional bbtime_0.1.5-14_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEi3hoeGwz5cZMTQpICBa54Yx2K60FAlz6zmQACgkQCBa54Yx2
K620oA//Qr3+bRB5jtKfiLLlN1rJc4Rk6ej+fDUWYzFbAF1AvX8WeHHXB1JAm7us
UICkiuI4/DMtLriDwWjhZWAzQCCMm8wddHHZkg6/s9PEcS786Wl1X5jrL0UF9xSw
RmTq9YzcDag1pXZlr32LVMmBgukYExVVwfxEaDIiAU/EvjOdQKGqIkfA6LnS+VID
7131hL22L8CecRyAlVhlgymkH3D2PNnJx1zwwbR2gmTnsJvQvTQgP0Fd4SDXtna1
wookAZhH34epVuY/kaYNUK7hCnlYy35/ElvPmRLQqOLULSGYLN/MCvSQQU1bNkvZ
f6TU/etzEXe4rQmjEAosGNl/XL9iBnsvy/wYFD8Tw6A5kPCNEOLuVkknql7cnqQo
GBgh3oMl+fm5982AwviE/t8rH5982OK8q5fKwnaTIh7GRVxTzmm4n2/5C2GdQn0J
1JysqT3tOjQfeNICjT7jXwb+X8Tp9j5dNiwMdk8hmL6U8VLEZUEWBmKn5ZjoM09D
ZxeXDzVQ5aXge4YOMBXBhiD03kZ2X6wLSh7X23+lpncr5la/MZgXkBYDMNYR/jvj
Filp/PL7/jZK070mEPrv5qzQLBy1HeXHO7xhFGCx++MNpVryWzSxePdyS/J1/jGN
mKImUCqLgGsNpZXTP+hBLXXuRHi2erhGZDSK/JhuqN3UsKIPumE=
=+8To
-----END PGP SIGNATURE-----

--- End Message ---

Reply to: